Package org.eclipse.net4j.util.container.delegate

# Class AbstractDelegator.DelegatingIterator

java.lang.Object
org.eclipse.net4j.util.container.delegate.AbstractDelegator.DelegatingIterator

All Implemented Interfaces:
  `Iterator<E>`

Direct Known Subclasses:
  `ContainerList.DelegatingListIterator`

Enclosing class:
  AbstractDelegator<E>

public class AbstractDelegator.DelegatingIterator extends Object implements Iterator<E>
A delegating `iterator`.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`protected E`
`last`

## Constructor Summary

Constructors
Constructor
Description
`DelegatingIterator(Iterator<E> delegate)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<E>`
`getDelegate()`
`boolean`
`hasNext()`
`E`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### last

protected E last

## Constructor Details

### DelegatingIterator

public DelegatingIterator(Iterator<E> delegate)

## Method Details

### getDelegate

public Iterator<E> getDelegate()

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<E>`
Category
  READ

### next

public E next()

Specified by:
  `next` in interface `Iterator<E>`
Category
  READ

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<E>`
Category
  WRITE